[arch-commits] Commit in nvidia/repos (6 files)

Ionut Biru ibiru at archlinux.org
Wed Oct 5 04:18:47 EDT 2011


    Date: Wednesday, October 5, 2011 @ 04:18:47
  Author: ibiru
Revision: 139847

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  nvidia/repos/testing-i686/
  nvidia/repos/testing-i686/PKGBUILD
    (from rev 139846, nvidia/trunk/PKGBUILD)
  nvidia/repos/testing-i686/nvidia.install
    (from rev 139846, nvidia/trunk/nvidia.install)
  nvidia/repos/testing-x86_64/
  nvidia/repos/testing-x86_64/PKGBUILD
    (from rev 139846, nvidia/trunk/PKGBUILD)
  nvidia/repos/testing-x86_64/nvidia.install
    (from rev 139846, nvidia/trunk/nvidia.install)

-------------------------------+
 testing-i686/PKGBUILD         |   44 ++++++++++++++++++++++++++++++++++++++++
 testing-i686/nvidia.install   |   16 ++++++++++++++
 testing-x86_64/PKGBUILD       |   44 ++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/nvidia.install |   16 ++++++++++++++
 4 files changed, 120 insertions(+)

Copied: nvidia/repos/testing-i686/PKGBUILD (from rev 139846, nvidia/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-10-05 08:18:47 UTC (rev 139847)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer : Thomas Baechler <thomas at archlinux.org>
+
+pkgname=nvidia
+pkgver=285.05.09
+_kernver='3.0-ARCH'
+pkgrel=1
+pkgdesc="NVIDIA drivers for linux."
+arch=('i686' 'x86_64')
+url="http://www.nvidia.com/"
+depends=('linux>=3.0' 'linux<3.1' "nvidia-utils=${pkgver}")
+makedepends=('linux-headers>=3.0' 'linux-headers<3.1')
+conflicts=('nvidia-96xx' 'nvidia-173xx')
+license=('custom')
+install=nvidia.install
+options=(!strip)
+
+if [ "$CARCH" = "i686" ]; then
+    _arch='x86'
+    _pkg="NVIDIA-Linux-${_arch}-${pkgver}"
+    source=("ftp://download.nvidia.com/XFree86/Linux-${_arch}/${pkgver}/${_pkg}.run")
+    md5sums=('2d469a90abef50320f548cfa8085e3a0')
+elif [ "$CARCH" = "x86_64" ]; then
+    _arch='x86_64'
+    _pkg="NVIDIA-Linux-${_arch}-${pkgver}-no-compat32"
+    source=("ftp://download.nvidia.com/XFree86/Linux-${_arch}/${pkgver}/${_pkg}.run")
+    md5sums=('2f4a0e78f5560c07220b7ed6fc1e27aa')
+fi
+
+build() {
+    cd "${srcdir}"
+    sh "${_pkg}.run" --extract-only
+    cd "${_pkg}/kernel"
+    make SYSSRC=/lib/modules/"${_kernver}/build" module
+}
+
+package() {
+    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia.ko" \
+        "${pkgdir}/lib/modules/${_kernver}/kernel/drivers/video/nvidia.ko"
+    install -d -m755 "${pkgdir}/etc/modprobe.d"
+    echo "blacklist nouveau" >> "${pkgdir}/etc/modprobe.d/nouveau_blacklist.conf"
+    sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" "${startdir}/nvidia.install"
+    gzip "${pkgdir}/lib/modules/${_kernver}/kernel/drivers/video/nvidia.ko"
+}

Copied: nvidia/repos/testing-i686/nvidia.install (from rev 139846, nvidia/trunk/nvidia.install)
===================================================================
--- testing-i686/nvidia.install	                        (rev 0)
+++ testing-i686/nvidia.install	2011-10-05 08:18:47 UTC (rev 139847)
@@ -0,0 +1,16 @@
+post_install() {
+    KERNEL_VERSION='3.0-ARCH'
+    depmod $KERNEL_VERSION
+    echo 'In order to use nvidia module, reboot the system.'
+}
+
+post_upgrade() {
+    KERNEL_VERSION='3.0-ARCH'
+    depmod $KERNEL_VERSION
+    rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+}
+
+post_remove() {
+    KERNEL_VERSION='3.0-ARCH'
+    depmod $KERNEL_VERSION
+}

Copied: nvidia/repos/testing-x86_64/PKGBUILD (from rev 139846, nvidia/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-10-05 08:18:47 UTC (rev 139847)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer : Thomas Baechler <thomas at archlinux.org>
+
+pkgname=nvidia
+pkgver=285.05.09
+_kernver='3.0-ARCH'
+pkgrel=1
+pkgdesc="NVIDIA drivers for linux."
+arch=('i686' 'x86_64')
+url="http://www.nvidia.com/"
+depends=('linux>=3.0' 'linux<3.1' "nvidia-utils=${pkgver}")
+makedepends=('linux-headers>=3.0' 'linux-headers<3.1')
+conflicts=('nvidia-96xx' 'nvidia-173xx')
+license=('custom')
+install=nvidia.install
+options=(!strip)
+
+if [ "$CARCH" = "i686" ]; then
+    _arch='x86'
+    _pkg="NVIDIA-Linux-${_arch}-${pkgver}"
+    source=("ftp://download.nvidia.com/XFree86/Linux-${_arch}/${pkgver}/${_pkg}.run")
+    md5sums=('2d469a90abef50320f548cfa8085e3a0')
+elif [ "$CARCH" = "x86_64" ]; then
+    _arch='x86_64'
+    _pkg="NVIDIA-Linux-${_arch}-${pkgver}-no-compat32"
+    source=("ftp://download.nvidia.com/XFree86/Linux-${_arch}/${pkgver}/${_pkg}.run")
+    md5sums=('2f4a0e78f5560c07220b7ed6fc1e27aa')
+fi
+
+build() {
+    cd "${srcdir}"
+    sh "${_pkg}.run" --extract-only
+    cd "${_pkg}/kernel"
+    make SYSSRC=/lib/modules/"${_kernver}/build" module
+}
+
+package() {
+    install -D -m644 "${srcdir}/${_pkg}/kernel/nvidia.ko" \
+        "${pkgdir}/lib/modules/${_kernver}/kernel/drivers/video/nvidia.ko"
+    install -d -m755 "${pkgdir}/etc/modprobe.d"
+    echo "blacklist nouveau" >> "${pkgdir}/etc/modprobe.d/nouveau_blacklist.conf"
+    sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" "${startdir}/nvidia.install"
+    gzip "${pkgdir}/lib/modules/${_kernver}/kernel/drivers/video/nvidia.ko"
+}

Copied: nvidia/repos/testing-x86_64/nvidia.install (from rev 139846, nvidia/trunk/nvidia.install)
===================================================================
--- testing-x86_64/nvidia.install	                        (rev 0)
+++ testing-x86_64/nvidia.install	2011-10-05 08:18:47 UTC (rev 139847)
@@ -0,0 +1,16 @@
+post_install() {
+    KERNEL_VERSION='3.0-ARCH'
+    depmod $KERNEL_VERSION
+    echo 'In order to use nvidia module, reboot the system.'
+}
+
+post_upgrade() {
+    KERNEL_VERSION='3.0-ARCH'
+    depmod $KERNEL_VERSION
+    rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+}
+
+post_remove() {
+    KERNEL_VERSION='3.0-ARCH'
+    depmod $KERNEL_VERSION
+}



More information about the arch-commits mailing list